<ion-header [translucent]="true">
  <ion-toolbar class="backazul">
    <ion-title class="ion-text-center">
      <h1 style="color:white;margin-top:0px;">CITAS</h1>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">

  <ion-row class="mt-4" style="padding-left: 20px;
    padding-right: 20px;">
    <ion-col size="12" class="ion-text-end">
      <ion-button style="font-weight:900;" color="primary" routerLink="/tabs/tab1/nueva-cita">
        +&nbsp;NUEVA CITA
      </ion-button>
    </ion-col>
  </ion-row>

<ion-row class="mt-4">

  <!-- Change the displayed calendar mode -->
  <ion-col size="3" class="mb-2">
    <ion-button expand="block" [color]="calendar.mode == 'month' ? 'primary' : 'danger'" (click)="changeMode('month')">Mes</ion-button>
  </ion-col>
  <ion-col size="3" class="mb-2">
    <ion-button expand="block" [color]="calendar.mode == 'week' ? 'primary' : 'danger'" (click)="changeMode('week')">Semana</ion-button>
  </ion-col>
  <ion-col size="3" class="mb-2">
    <ion-button expand="block" [color]="calendar.mode == 'day' ? 'primary' : 'danger'" (click)="changeMode('day')">Día</ion-button>
  </ion-col>
  <ion-col size="3" class="mb-2">
      <ion-button  expand="block" [color]="calendar.mode == 'day' ? 'primary' : 'danger'"  (click)="today()">Hoy</ion-button>
  </ion-col>
  <ion-col size="3" class="mb-2">
    <div class="indicadores">
      <div class="circulo"></div><span style="padding-left: 15px;">PROXIMAS CITAS</span>
    </div>
  </ion-col>
  <ion-col size="3" class="mb-2">
    <div class="indicadores">
      <div class="circulo1"></div><span style="padding-left: 15px;">CITAS EMPEZADAS</span>
    </div>
  </ion-col>
  <ion-col size="3" class="mb-2">
    <div class="indicadores">
      <div class="circulo2"></div><span style="padding-left: 15px;">CITAS REALIZADAS</span>
    </div>
  </ion-col>
  <ion-col size="3" class="mb-2">
    <div class="indicadores">
      <div class="circulo3"></div><span style="padding-left: 15px;">CITAS SIN REALIZAR</span>
    </div>
  </ion-col>

  <!-- Move back one screen of the slides -->
  <ion-col size="4" class="pr-0" style="text-align:right;">
    <ion-button fill="clear" (click)="back()">
      <ion-icon name="caret-back-outline" slot="icon-only"></ion-icon>
    </ion-button>
  </ion-col>
  <!--Mes y año -->
  <ion-col size="4" class="p-0 m-0" style="text-align: center;">
    <ion-label style="text-transform:capitalize;font-weight:900;font-size:18px;">{{ viewTitle }}</ion-label>
  </ion-col>
  <!-- Move forward one screen of the slides -->
  <ion-col size="4" class="pl-0" style="text-align:left;">
    <ion-button fill="clear" (click)="next()">
      <ion-icon name="caret-forward-outline" slot="icon-only"></ion-icon>
    </ion-button>
  </ion-col>
</ion-row>

<ng-template #detallecita let-showEventDetail="showEventDetail" let-selectedDate="selectedDate" let-noEventsLabel="noEventsLabel">
  <ion-list class="event-detail-container" has-bouncing="false"  *ngIf="showEventDetail" overflow-scroll="false">
    <ion-item [style]="{'--background': event.eventColor,'border-radius':'10px','margin-bottom':'5px'}" *ngFor="let event of selectedDate?.events" (click)="onEventSelected(event.endTime,event.idCitas,event.title,event.Status)">
      <span *ngIf="!event.allDay" class="monthview-eventdetail-timecolumn">{{event.startTime|date: 'HH:mm'}}
        -
        {{event.endTime|date: 'HH:mm'}}
      </span>
      <span *ngIf="event.allDay" class="monthview-eventdetail-timecolumn"></span>
      <span class="event-detail">  |  {{event.title}}</span>
    </ion-item>
    <ion-item *ngIf="selectedDate?.events.length==0">
        <div class="no-events-label">No tienes citas</div>
    </ion-item>
  </ion-list>
</ng-template>

<ng-template #cita let-view="view" let-row="row" let-col="col">
  <div [class.with-event]="view.dates[row*7+col].events.length">
    {{view.dates[row*7+col].label}}
    <div class="indicator-container">
      <div [ngStyle]="{'background': e.eventColor } "  class="event-indicator" *ngFor="let e of view.dates[row*7+col].events"></div>
    </div>
  </div>
</ng-template>

<ng-template #semana let-displayEvent="displayEvent">
  <div class="indicator-container">
    <div [ngStyle]="{'background': displayEvent.event.eventColor } "  class="event-indicator">{{(displayEvent.event.title).substring(0,5)}}</div>
  </div>  
</ng-template>

<ng-template #template let-displayEvent="displayEvent">
  <div class="indicator-container">
    <div [ngStyle]="{'background': displayEvent.event.eventColor } "  class="event-indicator">{{displayEvent.event.title}}</div>
  </div>  
</ng-template>

<calendar
[monthviewDisplayEventTemplate]="cita"
[monthviewEventDetailTemplate]="detallecita"
[weekviewNormalEventTemplate]="semana"
[dayviewNormalEventTemplate]="template" 
[locale]="calendar.locale"
[eventSource]="eventSource"
[calendarMode]="calendar.mode"
[currentDate]="calendar.currentDate"
(onEventSelected)="onEventSelected1($event)"
(onTitleChanged)="onViewTitleChanged($event)"
(onTimeSelected)="onTimeSelected($event)"
startHour="5"
endHour="24"
step="30"
startingDayWeek="1"
formatWeekTitle="MMMM yyyy, 'Semana' w'"
allDayLabel = "Todo el dia"
>
</calendar>

</ion-content>
